#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests

Summary:	A simple pytest plugin to run tests concurrently
Summary(pl.UTF-8):	Prosta wtyczka pytesta do uruchamiania testów współbieżnie
Name:		python3-pytest-run-parallel
Version:	0.4.4
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-run-parallel/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-run-parallel/pytest_run_parallel-%{version}.tar.gz
# Source0-md5:	3490ceb78ccde98fff7b317c9926192a
URL:		https://pypi.org/project/pytest-run-parallel/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools >= 1:61.0.0
%if %{with tests}
BuildRequires:	python3-psutil >= 6.1.1
BuildRequires:	python3-pytest >= 6.2.0
BuildRequires:	python3-pytest-order >= 1.3.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This pytest plugin takes a set of tests that would be normally be run
serially and execute them in parallel.

The main goal of pytest-run-parallel is to discover thread-safety
issues that could exist when using C libraries, this is of vital
importance after PEP703 (<https://peps.python.org/pep-0703/>), which
provides a path for a CPython implementation without depending on the
Global Interpreter Lock (GIL), thus allowing for proper parallelism in
programs that make use of the CPython interpreter.

%description -l pl.UTF-8
Ta wtyczka przyjmuje zbiór testów, które normalnie zostałyby
urchomione sekwencyjnie, i uruchamia je równolegle.

Głównym celem pytest-run-parallel jest wykrywanie problemów z
bezpieczeństwem względem wątków, które mogą istnieć w przypadku
korzystania z bibliotek C - jest to bardoz istotne po PEP703
(<https://peps.python.org/pep-0703/>), które umożliwia implementacji
CPythona niewymagania GIL (globalnej blokady interpretera), co pozwala
na właściwe zrównoleglenie w programach wykorzystujących interpreter
CPythona.

%prep
%setup -q -n pytest_run_parallel-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_run_parallel.plugin,pytest_order.plugin \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/pytest_run_parallel
%{py3_sitescriptdir}/pytest_run_parallel-%{version}.dist-info
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-run-parallel.git;a=log;h=master

* Sat Jul 12 2025 Jakub Bogusz <qboosh@pld-linux.org> bc0308b
- new

